Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006278 [DCSS] Bug Report minor sometimes 2012-10-02 21:53 2014-03-09 16:08
Reporter johnnyzero View Status public  
Assigned To galehar
Priority normal Resolution done  
Status closed   Product Branch 0.12 ancient branch
Summary 0006278: explore_stop = greedy_sacrificiable: infinite message loop
Description When using the greedy_sacrificiable option in explore_stop, some erratic behavior is observed. The viewport is not refreshed when a location with a sacrificiable is entered. Only a "Things here:" message is given as an indication that auto-explore has been stopped due to a sacrificiable. By pressing another command, the viewport refreshes similarly to interrupting autoexplore manually.

As gameplay goes on, this behavior seems to devolve into an endless loop of print messages when a sacrificiable is encountered. Again, the viewport is not updated until a command is given to interrupt the autoexplore. The previous messages log is then filled (completely) by messages similar to "You see here a wolf spider corpse." I've noticed this happen when worshiping both Trog and Oka.

Here's the save backup of a game in which I've just interrupted the loop:
http://dobrazupa.org/saves/johnnyzero-crawl-git-4ece051fb8-121002-1930.tar.bz2 [^]
And here's my RC file in case it helps:
http://dobrazupa.org/rcfiles/crawl-git/johnnyzero.rc [^]
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0006291resolvedneil Autoexplore shows player above tile with stuff on it but is actually on it 

-  Notes
(0020331)
galehar (administrator)
2012-10-09 16:48

Fixed, thanks for reporting.

- Issue History
Date Modified Username Field Change
2012-10-02 21:53 johnnyzero New Issue
2012-10-08 00:55 neil Relationship added has duplicate 0006291
2012-10-09 16:48 galehar Note Added: 0020331
2012-10-09 16:48 galehar Status new => resolved
2012-10-09 16:48 galehar Fixed in Branch => 0.12 development branch
2012-10-09 16:48 galehar Resolution open => done
2012-10-09 16:48 galehar Assigned To => galehar
2014-03-09 16:08 johnnyzero Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker